/* Breakpoints */

/* Sizes */

.prosushiInfo__titleWrap {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  align-items: center;
  margin-bottom: var(--padding-container-top-bottom);
}

.prosushiInfo__title {
  margin-bottom: 0;
}

.prosushiInfo__row {
  margin: 0 calc(var(--padding-small) * -1);
}

.prosushiInfo__box {
  padding: var(--padding-big);
  background: var(--white);
  border-radius: var(--border-radius-big);
  overflow: hidden;
  margin: var(--padding-small);
  box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.08);
}

.prosushiInfo__name {
  font-size: var(--font-size-large);
  font-family: var(--font-title);
  font-weight: 600;
  margin-bottom: var(--font-size-tiny);
}

.prosushiInfo__text {
  color: var(--gray-500);
}

.prosushiInfo__ul {
  display: block;
  list-style-type: disc;
  list-style-position: inside;
  margin: 0 0 var(--padding-small);
}

.prosushiInfo__iconInner {
  height: 72px;
  width: 72px;
  border-radius: var(--border-radius-circle);
  background-color: rgba(255, 69, 86, 0.1);
  margin-bottom: var(--padding-medium);
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
}

.prosushiInfo__icon {
  height: 40px;
  width: 40px;
  fill: var(--red);
}

.prosushiInfo__icon-stroke {
  stroke: var(--red);
}

.sberfood__container {
  position: relative;
}

.sberfood__text {
  margin-bottom: var(--padding-big);
}

.sberfood__visuals {
  width: 343px;
  margin: 0 auto 25px;
  position: relative;
  overflow: hidden;
}

.sberfood__visuals::before {
  content: "";
  width: 343px;
  height: 343px;
  border-radius: 50%;
  background-color: var(--red);
  position: absolute;
  bottom: -170px;
  z-index: 0;
}

.sberfood__img {
  display: block;
  width: 254px;
  margin: 0 auto;
  position: relative;
}

.sberfood__apps {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
}

.sberfood__appLink {
  margin: 0 var(--padding-medium);
}

.sberfood__appImg {
  height: 44px;
  border-radius: var(--border-radius-small);
  background: var(--gray-900);
}

.statusTable__table {
  width: 100%;
  border-spacing: 0;
}

.statusTable__tr:nth-child(2n) {
  background: var(--white);
}

.statusTable__td {
  padding: 0 var(--padding-tiny);
  height: 57px;
}

.statusTable__tr-th {
  color: var(--red);
  font-weight: bold;
}

.statusTable__wsnw {
  white-space: nowrap;
}

.bonusesInfo {
  background: var(--white);
  padding: var(--padding-container-top-bottom) 0;
}

.bonusesInfo__info {
  margin-top: 16px;
}

.bonusesInfo__list {
  margin-bottom: var(--padding-big);
  list-style: none;
}

.bonusesInfo__orderedList {
  list-style: decimal;
  padding-left: 16px;
  margin-top: 12px;
}

.bonusesInfo__item {
  padding-left: var(--padding-big);
  position: relative;
}

.bonusesInfo__item-ordered {
  padding-left: 12px;
}

.bonusesInfo__item:not(.bonusesInfo__item-ordered)::before {
  content: "";
  display: block;
  width: 6px;
  height: 6px;
  border-radius: 50%;
  background-color: var(--red);
  position: absolute;
  top: 6px;
  left: 0;
}

.bonusesInfo__item + .bonusesInfo__item {
  margin-top: var(--padding-medium);
}

.bonusesInfo__p + .bonusesInfo__p {
  margin-top: var(--padding-medium);
}

.bonusesInfo__support {
  width: 343px;
  border-radius: var(--border-radius-medium);
  background-color: var(--red);
  padding: var(--padding-big) var(--padding-medium) var(--padding-big) 80px;
  margin: 0 auto;
  color: var(--white);
  font-size: var(--font-size-medium);
  font-weight: bold;
  position: relative;
}

.bonusesInfo__support::before {
  content: "?";
  opacity: 0.3;
  font-size: 75px;
  position: absolute;
  left: 20px;
  top: 50%;
  transform: translateY(-50%);
}

.bonusesInfo__phone {
  margin-top: var(--padding-small);
  font-size: var(--font-size-medium);
  justify-content: flex-start;
}

.rules__text + .rules__text {
  margin-top: var(--padding-medium);
}

.rules__buttons {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-around;
  align-items: center;
  margin-top: var(--padding-big);
}

@media (min-width: 768px) {
  .sberfood {
    background-color: var(--white);
    padding: var(--padding-big) 0;
  }

  .sberfood__visuals {
    margin: 0;
    position: absolute;
    right: 0;
    bottom: -56px;
  }

  .sberfood__apps {
    margin-bottom: var(--padding-big);
    justify-content: flex-start;
  }

  .sberfood__appLink {
    margin: 0;
  }

  .sberfood__appLink + .sberfood__appLink {
    margin-left: var(--padding-medium);
  }

  .statusTable__td {
    height: 56px;
    padding: 0 var(--padding-medium);
  }

  .statusTable__mobile {
    display: none;
  }

  .bonusesInfo__list {
    margin-right: var(--padding-medium);
  }

  .bonusesInfo__support {
    width: 457px;
    padding-left: 128px;
  }

  .bonusesInfo__support::before {
    font-size: 125px;
    left: 40px;
  }

  .rules__content {
    column-count: 2;
    column-gap: 75px;
  }
}

@media (min-width: 1100px) {
  .prosushiInfo__row {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: unset;
  }

  .prosushiInfo__box {
    flex-grow: 1;
  }

  .prosushiInfo__box:nth-child(1),
  .prosushiInfo__box:nth-child(4) {
    width: calc(53% - (var(--padding-small)) * 2);
  }

  .prosushiInfo__box:nth-child(2),
  .prosushiInfo__box:nth-child(3) {
    width: calc(47% - (var(--padding-small)) * 2);
  }

  .statusTable__td {
    padding: 0 var(--padding-small);
  }
}

@media (min-width: 1200px) {
  .sberfood__visuals {
    width: 760px;
  }

  .sberfood__visuals::before {
    width: 760px;
    height: 760px;
    bottom: -510px;
  }

  .sberfood__img {
    width: 326px;
  }

  .statusTable__td {
    height: 76px;
  }
}

@media (min-width: 1328px) {
  .statusTable__td {
    height: 96px;
  }
}

@media (max-width: 767px) {
  .sberfood__break {
    display: none;
  }

  .statusTable__col-sum {
    width: 30%;
  }

  .statusTable__tablet {
    display: none;
  }

  .rules__break {
    display: none;
  }
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
